#!/bin/sh

# Extract the package name from the datastream. 
# We assume the Datastream contains only one package
PKGNAME=`pkginfo -d "$1" | awk '{ print $2 }' | head -1`

# If the package is installed, we remove it for upgrade
if pkginfo $PKGNAME > /dev/null 2>&1; then
  echo "Package '$PKGNAME' is already installed:"
  pkginfo $PKGNAME
  echo "Going to pkgrm '$PKGNAME'"
  yes | pkgrm "$PKGNAME"
fi

# Install the package
echo "Performing 'pkgadd -d \"$1\" all'"
yes | pkgadd -d "$1" all
