#!/usr/bin/env xpyv

import sys
import re
import xpyv

if len(sys.argv) < 2:
    exit("Usage %s [xpyv-package-filename]" % (sys.argv[0],))

running_version = xpyv.VERSION
package_filename = sys.argv[1]

# Fetch the package version out of the package filename
filename_re = re.compile("xpyv-((\d+\.)+\d+).*")
m = filename_re.search(package_filename)
package_version = m.groups()[0]

package_version_list = package_version.split(".")
running_version_list = running_version.split(".")

print package_version
print running_version

for i in range(0, len(package_version_list)):
    # If the package has one more ver number than the installed, we upgrade
    if i >= len(running_version_list):
        exit(1)
    # package is newer
    if package_version_list[i] > running_version_list[i]:
        exit(1)
    # package is older
    if package_version_list[i] < running_version_list[i]:
        exit(0)

# Same version
exit(0)
